#include "IpCore.h"
namespace cosi {

namespace environment {

namespace onchipcommunication {

using namespace std;

IpCore::IpCore() {
	mArea = 0.0;
	mName = "Unnamed";
}

IpCore::IpCore(string Name) {
	mName = Name ;
	mArea = 0.0;
}

IpCore::IpCore(string Name, double Area) {
	mName = Name ;
	mArea = Area ;
}

double IpCore::GetArea() {
	return mArea ;
}

void IpCore::SetArea(double Area) {
	mArea = Area ;
	//assert( mArea >= 0.0 ) ;
}

string IpCore::GetName() {
	return mName ;
}

void IpCore::SetName(string Name) {
	mName = Name ;
}

string IpCore::GetComponentName(){
	return mComponentName ;
}
void IpCore::SetComponentName(string Name){
	mComponentName = Name ;
}

}
}
}